osdir.com

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[crypto] Updated to Support OpenSSL 1.1.0i


Commons Crypto Dev Team,

I modified a copy of the commons crypto codebase to support OpenSSL 1.1.0i
(this was before I saw JIRA CRYPTO-140 "adding suuport for openssl 1.1.0g
in common crypto").  It successfully runs mvn clean test on Mac OS X
10.13.6 and Ubuntu 18.04 with Java 8 and OpenSSL 1.1.0i.  I was unable to
test on Windows, presumably because of CRYPTO-137 Error compiling on Win64
with Mingw.  I did not preserve compatibility with previous versions of
OpenSSL because I don't need it for the project for which I'm using commons
crypto.

Is there is interest in maintaining separate branches for different
versions of OpenSSL or for incorporating some of my 1.1.0i-compatible code
into a master that supports multiple underlying OpenSSL versions?  If so,
I'll fork the repo and send a pull request.  I also need to incorporate
message digest functionality, so if there's interest in expanding that
functionality I'll be glad to share the end product.

Thoughts?

Alex